#ifndef _INC_MYPOSIX_MENSAJES_H
#define _INC_MYPOSIX_MENSAJES_H

#include "senyales.h"
#include <fcntl.h>

#define O_NONBLOCK	0x00100000

typedef int mqd_t;
typedef int ssize_t;
#ifndef HAVE_MODE_T
#define HAVE_MODE_T
typedef int mode_t;
#endif

struct mq_attr
{
	long    mq_flags; //    Message queue flags. 
	long    mq_maxmsg; //   Maximum number of messages. 
	long    mq_msgsize; //  Maximum message size. 
	long    mq_curmsgs; //  Number of messages currently queued. 
} ;

mqd_t mq_open(const char *name, int oflag, ...);
ssize_t mq_receive(mqd_t mqdes, char *msg_ptr, size_t msg_len,unsigned *msg_prio);
int mq_send(mqd_t mqdes, const char *msg_ptr, size_t msg_len,unsigned msg_prio);
int mq_unlink(const char *name);
int mq_notify(mqd_t mqdes, const struct sigevent *notification);

#endif
