#ifndef _INC_MYPOSIX_SENYALES_H
#define _INC_MYPOSIX_SENYALES_H

#include <stdlib.h>
#include <windows.h>
#include <winbase.h>
#include <signal.h>


#define SIGEV_NONE		1
#define SIGEV_SIGNAL	2
#define SIGEV_THREAD	4

#define SI_USER			1
#define SI_QUEUE		2
#define SI_TIMER		4
#define SI_ASYNCIO		8
#define SI_MESGQ		16


#define SIGRTMIN 50000
#define SIGRTALL SIGRTMIN
#define SIGRTMAX 60000

union sigval
{
	int sival_int;			// timer_id para SI_TIMER, mdq_t para SI_MESGQ
	void* sival_ptr;
} ;

typedef int sigset_t;

typedef struct 
{
	int si_signo;
	int si_code;			// SI_USER, SI_QUEUE, SI_TIMER, SI_ASYNCIO, SI_MESGQ
	union sigval si_value;
} siginfo_t;

struct sigevent
{
	int sigev_notify;		// SIGEV_NONE, SIGEV_SIGNAL o SIGEV_THREAD
	int sigev_signo;		
	union sigval sigev_value;
	void  (*sigev_notify_function)(union sigval);
//	(ptrhead_attr_t*) sigev_notify_attributes;
} ;

struct sigaction
{
	union
	{
		void  (*sa_handler)(int signo);
		void  (*sa_sigaction)(int signo,siginfo_t* siginfo,void* context);
	} ;
	sigset_t sa_mask;
	int sa_flags;

} ;

int sigaction(int sig, const struct sigaction* act,struct sigaction *oact);
int sigwait(const sigset_t* set, int* sig);
int pthread_sigmask(int how, const sigset_t *set,sigset_t *oset);
int sigaddset(sigset_t *set, int signo);
int sigemptyset(sigset_t *set);
int sigfillset(sigset_t *set);
int sigdelset(sigset_t *set, int signo);


#endif
