#ifndef _INC_MYPOSIX_TEMPORIZADORES_H
#define _INC_MYPOSIX_TEMPORIZADORES_H

#include <time.h>

#include "senyales.h"

#define CLOCK_MONOTONIC			1

#define TIMER_ABSTIME			1

typedef unsigned int clockid_t;
typedef HANDLE timer_t;

#ifndef HAVE_STRUCT_TIMESPEC
#define	HAVE_STRUCT_TIMESPEC	1
struct timespec
{
	time_t  tv_sec;    // Seconds
	long    tv_nsec;	//   Nanoseconds
} ;
#endif

struct itimerspec
{
	struct timespec  it_interval; //  Timer period. 
	struct timespec  it_value;   //  Timer expiration
} ;

int timer_create(clockid_t clockid, struct sigevent *evp,timer_t *timerid);
int timer_settime(timer_t timerid, int flags,const struct itimerspec *value,struct itimerspec *ovalue);
int timer_delete(timer_t timerid);

int sleep(unsigned segundos);
int usleep(unsigned microsegundos);

#endif